<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BookResponse StructType
 * @package Dg
 * @subpackage Structs
 */
class DgBookResponse extends AbstractStructBase
{
    /**
     * The BookBasketRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgBookBasketRS
     */
    public $BookBasketRS;
    /**
     * Constructor method for BookResponse
     * @uses DgBookResponse::setBookBasketRS()
     * @param \dgsoft\StructType\DgBookBasketRS $bookBasketRS
     */
    public function __construct(\dgsoft\StructType\DgBookBasketRS $bookBasketRS = null)
    {
        $this
            ->setBookBasketRS($bookBasketRS);
    }
    /**
     * Get BookBasketRS value
     * @return \dgsoft\StructType\DgBookBasketRS|null
     */
    public function getBookBasketRS()
    {
        return $this->BookBasketRS;
    }
    /**
     * Set BookBasketRS value
     * @param \dgsoft\StructType\DgBookBasketRS $bookBasketRS
     * @return \dgsoft\StructType\DgBookResponse
     */
    public function setBookBasketRS(\dgsoft\StructType\DgBookBasketRS $bookBasketRS = null)
    {
        $this->BookBasketRS = $bookBasketRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgBookResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
